Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026548
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-05-14 16:342014-05-26 09:07
ReporteregoitzView Statuspublic 
Assigned Toguillermogil 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revisionf596f4f93186
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026548: Slow flush after a fetch to a datasource.

DescriptionWhen doing a fetch a flush is exeucted at the end of the transaction. There fetch does not change any thing so before doing the flush a clear should be done to ensure that the performance of flush is not affected by objects loaded in memory.


When calling the FIC with NEW or SETSESSION commands also the clear should be done
Steps To Reproduce-Check the code
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036601 closedalostale unneeded flush with no entities on every fetch 

-  Notes
(0067336)
hgbot (developer)
2014-05-21 12:44

Repository: erp/devel/pi
Changeset: f596f4f931868404f43a984dc85c41ed720a59f8
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Wed May 21 12:44:21 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f596f4f931868404f43a984dc85c41ed720a59f8 [^]

Fixed issue 26548: Slow flush after a fetch to a datasource

Session cleared on FETCH and FIC in order to prevent slow flushes

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0067337)
hgbot (developer)
2014-05-21 13:02

Repository: erp/devel/pi
Changeset: e3a5d2382b2d02b39e73d55016178dd1e1cc393a
Author: Guillermo Gil <guillermo.gil <at> openbravo.com>
Date: Wed May 21 13:01:40 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e3a5d2382b2d02b39e73d55016178dd1e1cc393a [^]

Related to issue 26548: Slow flush after a fetch to a datasource

Modified cleared session on FIC

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
---
(0067377)
hudsonbot (developer)
2014-05-22 17:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1f80725ff7f4 [^]
Maturity status: Test
(0067378)
hudsonbot (developer)
2014-05-22 17:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1f80725ff7f4 [^]
Maturity status: Test
(0067431)
guillermogil (developer)
2014-05-26 09:05

Performance tests:

FETCH
Around a 10% of improvement - Open a window

FIC
After the execution of FICAllHeaderTabs.jmx average time has gone from 210ms to 200ms.
(0067433)
alostale (developer)
2014-05-26 09:07

code reviewed

tested ensuring it doesn't interfere with usage audit which should do insertions in fetch case

- Issue History
Date Modified Username Field Change
2014-05-14 16:34 egoitz New Issue
2014-05-14 16:34 egoitz Assigned To => alostale
2014-05-14 16:34 egoitz Modules => Core
2014-05-14 16:34 egoitz Triggers an Emergency Pack => No
2014-05-14 16:34 egoitz Tag Attached: Performance
2014-05-19 14:36 jonalegriaesarte Fixed in Version => PR14Q3
2014-05-20 15:31 alostale Fixed in Version PR14Q3 =>
2014-05-20 15:31 alostale Target Version => PR14Q3
2014-05-21 08:18 alostale Assigned To alostale => guillermogil
2014-05-21 11:33 guillermogil Issue Monitored: alostale
2014-05-21 11:34 guillermogil Review Assigned To => alostale
2014-05-21 12:44 hgbot Checkin
2014-05-21 12:44 hgbot Note Added: 0067336
2014-05-21 12:44 hgbot Status new => resolved
2014-05-21 12:44 hgbot Resolution open => fixed
2014-05-21 12:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f596f4f931868404f43a984dc85c41ed720a59f8 [^]
2014-05-21 13:02 hgbot Checkin
2014-05-21 13:02 hgbot Note Added: 0067337
2014-05-22 17:42 hudsonbot Checkin
2014-05-22 17:42 hudsonbot Note Added: 0067377
2014-05-22 17:42 hudsonbot Checkin
2014-05-22 17:42 hudsonbot Note Added: 0067378
2014-05-26 09:05 guillermogil Note Added: 0067431
2014-05-26 09:07 alostale Note Added: 0067433
2014-05-26 09:07 alostale Status resolved => closed
2014-05-26 09:07 alostale Fixed in Version => PR14Q3
2017-08-04 10:05 alostale Relationship added related to 0036601


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker